import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/winningInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/winningInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/winningInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/winningInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/winningInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/winningInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/winningInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function startLottery(formData) {
  return request.post(constant.serverUrl + "/base/winningInfo/startLottery", formData);
}


export default {
  pageList, create, edit, add, update, remove, batchRemove,startLottery
}